<h1>Listing accounts</h1>

<div id="tree_div" style="position:relative">
<ul id="account_tree">
  <%= render :partial => 'sortable_tree', :collection => @accounts, 
             :locals => {:parent => @root_account_id} %>
</ul>
</div>

<script type="text/javascript">
  function initSortable(){
    $('ul#account_tree').nestedSortable({
      forcePlaceholderSize: true,
      handle: 'span.handle',
      items: 'li',
      ghosting: true,
      opacity: .6,
      distance:25,
      delay: 200,
      placeholder: 'placeholder',
      tabSize: 25,
      tolerance: 'pointer',
      toleranceElement: '> div',
      listType: 'ul',
      helper: 'clone',
      cursor: 'move',
      stop: function(event, ui) {
        $.ajax({
          data:$('ul#account_tree').nestedSortable('serialize')+'&moved='+ui.item.context.id,
          type:'post',
          url:'/account/sortable_update/<%= params[:id] %>',
          success:function(data){
            $('#tree_div').html(data);
            initSortable();
          }
        });
      }
/*      start: function(event, ui) {
        $('.'+ui.helper.context.class).not('#'+ui.helper.context.id).remove()
        $('.'+ui.helper.context.id).parent().closest('li').find(' > .movable').css('color','green');
      }*/
    });
  };

  $(document).ready(function(){
    initSortable();
  });
  // Ajax activity indicator - http://skfox.com/2008/04/28/jquery-example-ajax-activity-indicator/
  $(document).ajaxStart(function(){
    $('#tree_div').css('opacity','0.3');
    $('#ajaxBusy').show();
  }).ajaxStop(function(){
    $('#tree_div').css('opacity','1');
    $('#ajaxBusy').hide();
  });
</script>

<div id="ajaxBusy"><p><img src="/images/busyimage.gif"></p></div>

<style type="text/css">
  .handle { cursor: move !important; } 
  .toggle a {text-decoration:none; }
  .placeholder { border: 1px dashed gray; }
  ul {
    list-style-type:none;
    padding-left:2em;
  }
  #result {
    float:right;
    width:60%;
    height:300px;
    background:white;
    clear:both;
    font-size:9px;
    line-height:10px;
    padding:10px;
  }
  .handle a:hover { background:none}
   #ajaxBusy {
     display:none; 
     margin: -33px 0 0 -33px;
     padding:0;
     position:absolute;
     left:50%;
     top:50%;
     width:auto;
   }
</style>
